Skip to main content
PUT
Update a Query API endpoint
Updates a Query API endpoint.

Permission

The API key must have the control-plane:service:manage-query-api-endpoints permission.

Авторизации

Authorization
string
header
обязательно

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Параметры пути

organizationId
string<uuid>
обязательно

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
serviceId
string<uuid>
обязательно

ID of the requested service.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
endpointId
string<uuid>
обязательно

ID of the requested Query API endpoint.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Тело

application/json
name
string
обязательно

Name of the Query API endpoint.

Minimum string length: 1
Pattern: \S
sql
string
обязательно

SQL executed by the endpoint.

Maximum string length: 4194304
Pattern: \S
database
string
обязательно

Database used by the Query API endpoint.

Pattern: \S
apiKeyIds
string<uuid>[]
обязательно

API key IDs allowed to call the endpoint.

Minimum array length: 1
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
roles
string[]
обязательно

Database roles used by the endpoint.

Minimum array length: 1
Minimum string length: 1
parameters
object

Default query parameters.

allowedOrigins
string[]

Origins allowed by the endpoint CORS policy.

Ответ

The Query API endpoint was updated.

status
integer
обязательно

HTTP status code.

Пример:

200

requestId
string<uuid>
обязательно

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
result
object
обязательно
Последнее изменение 3 октября 2026 г.